## org.eclipse.amp.axf.space
Interface ILocation2D

All Superinterfaces:
  ILocation, ILocation1D

All Known Subinterfaces:
  ILocation3D

All Known Implementing Classes:
  Location2DDoubleAdapter, Location2DIntegerAdapter, Location3DDoubleAdapter, Location3DIntegerAdapter

    public interface ILocation2D

extends ILocation1D

Provides all castings. It is up to implementor to decide how to coerce values, but all values must be legal. It is not required that the Integer values map directly to doubles, just that any mapping be consistent across the entire scape. For example, a very precise double provider might choose instead to scale up integer values to an appropriate level of granularity.

Author:
  mparker

Field Summary

Fields inherited from interface org.eclipse.amp.axf.space.ILocation
`NOT_LOCATED`

Method Summary
`java.lang.Object` `getY()`
`double` `getYDouble()`
`int` `getYInteger()`

Methods inherited from interface org.eclipse.amp.axf.space.ILocation1D
`getX, getXDouble, getXInteger`

Method Detail

### getY

    java.lang.Object getY()

### getYInteger

    int getYInteger()

### getYDouble

    double getYDouble()